[postgis-devel] [PostGIS] #1539: [PATCH] Missing -ljson when building postgis2.0 on Ubuntu 10.04

PostGIS trac at osgeo.org
Sat Feb 4 06:22:16 PST 2012

#1539: [PATCH] Missing -ljson when building postgis2.0 on Ubuntu 10.04
 Reporter:  rouault                |       Owner:  strk         
     Type:  defect                 |      Status:  new          
 Priority:  medium                 |   Milestone:  PostGIS 2.0.0
Component:  build/upgrade/install  |     Version:  trunk        
 Keywords:                         |  
 I have the libjson0-dev and libjson0 packages installed, and I configure
 postgis without specifying --with-json. configure automatically find the
 json headers and lib but doesn't set JSON_LDFLAGS. The consequence is that
 postgis.so doesn't link to libjson.so and cannot be loaded.

 Attached patch fixes that

Ticket URL: <http://trac.osgeo.org/postgis/ticket/1539>
PostGIS <http://trac.osgeo.org/postgis/>
The PostGIS Trac is used for bug, enhancement & task tracking, a user and developer wiki, and a view into the subversion code repository of PostGIS project.

More information about the postgis-devel mailing list